Employees
Deprecated
Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.
List all employees
Query Parameters
created_at[gte]?integer
Unix epoch seconds
created_at[lte]?integer
Unix epoch seconds
emails[]?array<string>
hired_on[gte]?string
Format
datehired_on[lte]?string
Format
datehired_on_max?string
Format
datehired_on_min?string
Format
datestatus?string
updated_at[gte]?integer
Unix epoch seconds
updated_at[lte]?integer
Unix epoch seconds
Response Body
application/json
curl -X GET "https://example.com/api/public/v1/employees"{ "data": [ { "id": 0, "active": true, "access": true, "employee_number": "string", "full_name": "string", "first_name": "string", "middle_name": null, "last_name": "string", "email": "string", "personal_email": null, "mobile_number": null, "work_phone_number": null, "date_of_birth": "string", "gender": "string", "gender_id": 0, "avatar_url": "string", "probation_ends_on": null, "hired_on": "string", "slack_username": null, "twitter_username": null, "facebook_url": null, "linkedin_url": null, "position": null, "job_level": null, "location": { "id": 0, "name": "string", "address": null, "time_zone": "string", "holiday_policy_id": null, "created_at": "string", "updated_at": "string" }, "employment_type": null, "division": null, "department": null, "reporting_to": null, "job_profile": null, "direct_reports": null, "custom_fields": [ { "internal_name": "string", "uuid": "string", "name": "string", "group": "string", "value": null } ], "created_at": "string", "updated_at": "string", "termination_effective_on": "string", "termination_comment": "string", "termination_eligible_for_rehire": true, "termination_type_id": 0, "termination_reason_id": 0, "ldap_username": "string" } ], "metadata": { "pagination": { "page": 0, "pages": 0, "count": 0, "items": 0 } }}